apiVersion: v1
kind: PersistentVolume
metadata:
  name: registry-pv-volume
  labels:
    type: local
spec:
  storageClassName: local-storage
  capacity:
    storage: 10Gi
  accessModes:
    - ReadWriteOnce
  hostPath:
    path: "/Users/andreaswolf/k8s/registry"
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: registry-pv-volume-claim
spec:
  accessModes:
    - ReadWriteOnce
  volumeMode: Filesystem
  resources:
    requests:
      storage: 10Gi
  storageClassName: local-storage
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: registry
spec:
  selector:
    matchLabels:
      app: registry
  replicas: 1
  template:
    metadata:
      labels:
        app: registry
        environment: production
    spec:
      containers:
        - name: registry
          image: registry:2
          resources:
            requests:
              cpu: 100m
              memory: 100Mi
          ports:
            - name: http
              containerPort: 5000
          volumeMounts:
            - mountPath: /var/lib/registry
              name: registry-storage
      volumes:
        - name: registry-storage
          persistentVolumeClaim:
            claimName: registry-pv-volume-claim
---
apiVersion: v1
kind: Service
metadata:
  name: registry
spec:
  type: NodePort
  selector:
    app: registry
  ports:
    - name: registry
      protocol: TCP
      port: 80
      targetPort: 5000